
$('.form_date').datetimepicker({
    language: 'zh-CN',
    weekStart: 1,
    todayBtn: 1,
    autoclose: 1,
    todayHighlight: 1,
    startView: 2,
    minView: 2,
    forceParse: 0
});

$('#tab_players').bootstrapTable({
    locale: 'zh-CN', //中文支持
    singleSelect: true,
    columns: [{checkbox: false}],
    pagination: true, //是否开启分页（*）
    pageNumber: 1, //初始化加载第一页，默认第一页
    pageSize: 20, //每页的记录行数（*）
    pageList: [2, 3, 4], //可供选择的每页的行数（*）
    sidePagination: "server", //分页方式：client客户端分页，server服务端分页（*）
    queryParamsType: ""
});

$('#tab_one').bootstrapTable({
    locale: 'zh-CN', //中文支持
    singleSelect: true,
    columns: [{checkbox: false}],
    pagination: true, //是否开启分页（*）
    pageNumber: 1, //初始化加载第一页，默认第一页
    pageSize: 20, //每页的记录行数（*）
    pageList: [2, 3, 4], //可供选择的每页的行数（*）
    sidePagination: "client", //分页方式：client客户端分页，server服务端分页（*）
    queryParamsType: ""
});

Date.prototype.format = function(format) {
       var date = {
              "M+": this.getMonth() + 1,
              "d+": this.getDate(),
              "h+": this.getHours(),
              "m+": this.getMinutes(),
              "s+": this.getSeconds(),
              "q+": Math.floor((this.getMonth() + 3) / 3),
              "S+": this.getMilliseconds()
       };
       if (/(y+)/i.test(format)) {
              format = format.replace(RegExp.$1, (this.getFullYear() + '').substr(4 - RegExp.$1.length));
       }
       for (var k in date) {
              if (new RegExp("(" + k + ")").test(format)) {
                     format = format.replace(RegExp.$1, RegExp.$1.length == 1
                            ? date[k] : ("00" + date[k]).substr(("" + date[k]).length));
              }
       }
       return format;
} 

$('#tab_players').on('click-row.bs.table', function (e, row, element) {
    $('.success').removeClass('success');//去除之前选中的行的，选中样式
    $(element).addClass('success');//添加当前选中的 success样式用于区别
    var date = new Date(row.lastlogin.split(" ")[0]);
    $('#action-date1-text').val(date.format("yyyy-MM-dd"));
    date.setDate(date.getDate()-3); 
    $('#action-date-text').val(date.format("yyyy-MM-dd"));
});

function getSelectedRow() {
    var index = $('#tab_players').find('tr.success').data('index');//获得选中的行
    return $('#tab_players').bootstrapTable('getData')[index];//返回选中行所有数据
}

function ok_click() {
    var date = $('#date-text').val();
    var date1 = $('#date-text1').val();
    var isnew = $('#isnew').prop('checked') ? 1 : 0;
    var isold = $('#isold').prop('checked') ? 1 : 0;
    var islost = $('#islost').prop('checked') ? 1 : 0;


    if (date == "" || date1 == "") {
        alert("请选择起始日期或终止日期!");
        return;
    }

    if (date1 < date) {
        alert("终止日期不得小于起始日期!");
        return;
    }


    var url = getProviderUrl("action");
    url += "?date=" + date;
    url += "&date1=" + date1;
    url += "&isnew=" + isnew;
    url += "&isold=" + isold;
    url += "&islost=" + islost;

    $('#tab_players').bootstrapTable('refresh', {url: url});
}

function c32_ok_click() {
    var nameTxt = $('#name-text').val();
    
    var oidTxt = $('#oid-text').val();

    if (nameTxt == ""  && oidTxt == "") {
        alert("请填写玩家名称 账号ID oid!");
        return;
    }

    var url = getProviderUrl("actionc32");
    url += "?name=" + nameTxt; 
    url += "&oid=" + oidTxt;

    $('#tab_players').bootstrapTable('refresh', {url: url});
}

function one_click() {
    var data = getSelectedRow();
    

    var date = $('#action-date-text').val();
    var date1 = $('#action-date1-text').val();

    if (date == "" || date1 == "") {
        alert("请选择起始日期或终止日期!");
        return;
    }

    if (date1 < date) {
        alert("终止日期不得小于起始日期!");
        return;
    }

    var url = getProviderUrl("actionone");
    url += "?date=" + date;
    url += "&date1=" + date1;
    url += "&oid=" + data.userID;

    $('#tab_one').bootstrapTable('refresh', {url: url});
}

